Skip to navigation

DelCallerID

View as Markdown

Deletes the CallerID. Note: you cannot delete a CID permanently (the antispam defence).

Allowed roles: Owner, Admin.

Example request: Delete the callerID 1.

Authentication

AuthorizationBearer

Voximplant Management API uses signed JWT tokens generated from your service-account private key. Pass the token in the Authorization header as a Bearer value:

Authorization: Bearer $VOXIMPLANT_TOKEN

See Authorization for ready-to-copy snippets in bash, Python, Node.js and Go that turn your credentials.json into a token.

Query parameters

callerid_idintegerOptional

ID of the callerID object. Required unless callerid_number is provided.

callerid_numberstringOptional

The callerID number. Required unless callerid_id is provided.

Response

Successful response
resultintegerOptional
Returns 1 if the request has been completed successfully